# ServerPolls

# Features
* Unlimited polls
* Clickable messages(everything)
* Easy setups
* Very customizable ingame

# Installation
1. Download ServerPolls [here](https://www.spigotmc.org/resources/serverpolls.72690/)
2. Place Serverpolls.jar into your servers plugin folder.
3. Restart your server. (Using /reload may break other plugins and is not recommended!)

# Setup
- Setup is relatively simple.
- Simply use /poll help which shows all the commands and options.
- Click the desired command(example: poll create) and that command will be performed.
- All commands and actions are self explanatory and interactable.

# Permissions
```
  polls.list:
    default: true
    description: Returns list of polls
  polls.vote:
    default: true
    description: Allows voting on polls
  polls.info:
    default: true
    description: Returs question + answers on a poll
  polls.view:
    default: true
    description: View the vote you or a player casted
  polls.result:
    default: true
    description: Check the results of a poll
  polls.create:
    default: op
    description: Allows creation of polls
  polls.delete:
    default: op
    description: Allows deletion of polls
  polls.admin:
    default: op
    description: Used for the creation menu
  polls.save:
    default: op
    description: Used for saving polls to file
  polls.reload:
    default: op
    description: Used for reloading configurations
  polls.setupanswers:
    default: op
  polls.setupquestion:
    default: op
  polls.setupname:
    default: op
  polls.edit:
    default: op
    description: Allows you to edit all polls
  polls.broadcast:
    default: op
    description: Announce a poll!
  polls.close:
    default: op
    description: Close a poll from voting
  polls.open:
    default: op
    description: Open a poll for voting
  polls.show:
    default: op
    description: Show a poll to a player
```

# Settings
* There are no settings for this plugin.
* Messages can be customized in the Messages.yml
* All other "settings" are done via /poll and /polladmin.

