# Time is Money

**Time is Money is a plugin you can utilize to reward your players for spending time on your server!**

![](/media/TimeIsMoney_Banner.png)
# Features

* Reward players with money and/or items based on how long they have been online
* Set a max payout which limits the amount of money and items a player can receive in a day
* Create multiple payouts and choose between either permission nodes OR chances to differentiate them
* Display payouts using the server chat and/or action bar
* Limit how many accounts on a single IP address can receive payouts
* Merge payouts to combine all the payouts a player has access to into one single payout (requires the use of permission nodes, chances will not work)
* Setup a payout percent to limit the income of a player while they are AFK (requires EssentialsX to check if the player is AFK)
* Change whether the money a player earns from payouts goes directly into their balance or into Time is Money's bank system. Players can use the plugin's ATM to both deposit and withdraw money
* Open Source: [Source](https://github.com/mastercake10/TimeIsMoney) 

# Installation
* **Time is Money supports Minecraft versions 1.7 through 1.16**

#### Download Time is Money from [here](https://www.spigotmc.org/resources/time-is-money.12409/) and insert the jar file into your server's plugin folder. After installing the plugin, restart your server.


!> **Important** Time is Money requires a plugin called `Vault` in order to run properly. Make sure to also install an economy plugin that supports the `Vault` plugin.

?> **Information** Time is Money uses `EssentialsX` to check whether or not a player is AFK. If you plan on not giving AFK players a payout, or only a limited payout, make sure to install this plugin on your server.